Subject: bug#39843: closed (Can't open files through file managers in other DEs and WMs)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Apr 2020 19:17:02 +0000

Your bug report

#39843: Can't open files through file managers in other DEs and WMs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39843: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39843
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Can't open files through file managers in other DEs and WMs
From: sirgazil <[email-masked]>
To: "39843-done" <[email-masked]>
Date: Sat, 18 Apr 2020 19:16:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

After removing the workaround from my system configuration file and reconfiguring the system with a recent Guix (see below), things work find in MATE, Xfce and sway. I can't reproduce the problems anymore.

$ guix describe
Generation 72	Apr 17 2020 08:12:14	(current)
  sirgazil-x 66d4b67
    repository URL: https://gitlab.com/sirgazil/guix-channel-x.git
    branch: master
    commit: 66d4b677875c84d0b7a946376cd4885f202094eb
  guix 79ef072
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 79ef0726a9afb7bd4676b9a53401f742c7b83653

Thanks for fixing this.

Subject: Can't open files through file managers in other DEs and WMs
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sat, 29 Feb 2020 15:29:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed the Guix System several months ago and selected GNOME as the Desktop Environment (DE). Recently, however, I decided to fallback to another DE or Window Manager (WM) because of a memory issue in GNOME (see https://lists.gnu.org/archive/html/help-guix/2020-02/msg00206.html). So far I have installed XFCE, MATE and sway, but, in all of them I can't open most files using their default file managers: Thunar (XFCE), Caja (MATE), Nautilus (sway [not really a default]).

Performing the following operations to open files from file managers fail for most file types (PNG, PDF, HTML, ODT, SVG, ...):

• Double clicking a file.
• Pressing Enter on a file.
• Right clicking a file and selecting the default app for that kind of file.
• Right clicking a file and selecting another application from a list of suggested apps.

The only kind of file that opens correctly so far is MP3.

Doing the following from a terminal opens files correctly in the default applications:

  $ xdg-open path/to/file.png
  $ xdg-open path/to/file.pdf

(Note that I never use xdg-utils directly to manipulate MIME types and default apps associations. I leave that to GUIs provided by DEs.)

System Information:

MATE 1.22.0
XFCE 4.14.0
sway 1.2
guix 079ee3b
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 079ee3b5ea7e9e9bf34753df42957d280e8eabc5

---
https://sirgazil.bitbucket.io/